OccurrenceConverter (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.service

## Class OccurrenceConverter

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.service.OccurrenceConverter

- All Implemented Interfaces:
    Converter<org.gcube.data.spd.model.products.OccurrencePoint,Occurrence>

      public class OccurrenceConverter
      extends Object
      implements Converter<org.gcube.data.spd.model.products.OccurrencePoint,Occurrence>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static SimpleDateFormat` | `FORMAT`
    `protected int` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrenceConverter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `cleanValue(org.gcube.data.spd.model.BasisOfRecord basisOfRecord)`
    `protected static String` | `cleanValue(Calendar value)`
    `protected static String` | `cleanValueEscapeSql(String value)`
    `Occurrence` | `convert(org.gcube.data.spd.model.products.OccurrencePoint input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORMAT

          protected static final SimpleDateFormat FORMAT

    - #### id

          protected int id

  - ### Constructor Detail

    - #### OccurrenceConverter

          public OccurrenceConverter()

  - ### Method Detail

    - #### convert

          public Occurrence convert(org.gcube.data.spd.model.products.OccurrencePoint input)
                             throws Exception

      Specified by:
        `convert` in interface `Converter<org.gcube.data.spd.model.products.OccurrencePoint,Occurrence>`
      Throws:
        `Exception`

    - #### cleanValue

          protected static String cleanValue(org.gcube.data.spd.model.BasisOfRecord basisOfRecord)

    - #### cleanValue

          protected static String cleanValue(Calendar value)

    - #### cleanValueEscapeSql

          protected static String cleanValueEscapeSql(String value)

Copyright © 2013. All Rights Reserved.